<?php
/*******************************************************************
 * 版权协议：2009-2019
 * 版权所有: PHP-北京金南曦网络技术有限公司旗下PHPWMS，PHP商城系统技术支持中心http://www.php188.net，并保留所有权利。 
* PHP商城系统网址: http://www.php188.com
 * PHPWMS系统网址：http://www.phpwms.com
 * 销售电话：010-87875088
 * 销售电话：010-87875188 
*------------------------------------------------------------------
 * 这不是一个完全免费软件！您只能在不用于商业目的的前提下对程序代码进
 * 行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 *------------------------------------------------------------------
 * 文件名称：admin_place.php
 * 摘　　要：广告位
 * 适用范围：PHPWMS 1.0
 * 版　　本：1.0
 *------------------------------------------------------------------
 * Script Written By phpwms项目组
 * 最后更新： 2009-09-24 phpwms 由PHP金南曦网络技术有限公司整理发布
 *******************************************************************/
if(!defined('IN_SYS'))exit('access die');
if (!getAdminPri('8107'))exit(NO_AUTH_LOGIN);
$do = trim($_GET['do']);
$post = $_POST;
$tpl -> assign("do",$do);
switch($do){
	case "oper":
		$data['place_name'] = $post['name'];
		$place_id = intval($post['placeid']);
		$url = empty($place_id) ? '?action=place&do=add' : '?action=place&do=edit&placeid=' . $place_id;
		if(empty($data['place_name'])){
			$sp->bgmsg('广告位名称不能为空', $url);
		}
		$old_placename = $post['oldname'];
		
		if(empty($old_placename) || $old_placename != $data['place_name']){
			if(_checkplace_name($db, $data['place_name'])){
				$sp->bgmsg('已经存在此广告位的名称', $url);
			}
		}
		$data['place_desc'] = $post['desc'];
		$data['place_width'] = abs(intval($post['width']));
		if($data['place_width'] < 1){
			$sp->bgmsg('宽度不能小于1', $url);
		}
		$data['place_height'] = abs(intval($post['height']));
		if($data['place_height'] < 1){
			$sp->bgmsg('高度不能小于1', $url);
		}
		if(empty($place_id)){
			/*添加*/
			if($db->insert($data, 'ads_place')){
				$mes = '添加成功';
			}
		}else{
			if($db->update($data, 'ads_place', array('place_id'=>$place_id))){
				$mes = '修改成功';
			}
		}
		php188StaticCache::getInstance()->remove('phpwms_ads_place');
		$mes = empty($mes) ? '操作失败' : $mes;
		$sp->bgmsg($mes, '?action=place&do=show&page=' . $_GET['page']);
		break;
	case "edit":
		$pn = '编辑广告'; 
		$id = intval($_GET['placeid']);
		if(empty($id)){
			$sp->bgmsg('请选择正确的广告位', '?action=place&do=show&page=' . $_GET['page']);
		}
		$sql = "SELECT * FROM ##__ads_place WHERE place_id = '$id'";
		$result = $db->fetch($sql, true);
		if(empty($result)){
			$sp->bgmsg('没有此广告位', '?action=place&do=show&page=' . $_GET['page']);
		}
		$tpl->assign('curpage', abs(intval($_GET['page'])));
		$tpl->assign('place', $result);
		$tpl->assign('placetype', 'edit');
		break;
	case "delete":
		$id = intval($_GET['placeid']);
		if(empty($id)){
			$sp->bgmsg('请选择正确的广告位', '?action=place&do=show&page=' . $_GET['page']);
		}
		$sql = "SELECT COUNT(*) AS count FROM ##__ads WHERE ads_place_id = '$id' ";
		$result = $db->fetch($sql, true);
		if($result['count'] > 0){
			$sp->bgmsg('请您先删除此广告位下的广告', '?action=place&do=show&page=' . $_GET['page']);
			
		}
		$sql = "DELETE FROM ##__ads_place WHERE place_id = '$id'";
		$mes = $db->query($sql) ? '删除成功' : '删除失败';
		php188StaticCache::getInstance()->remove('phpwms_ads_place');
		$sp->bgmsg($mes, '?action=place&do=show&page=' . $_GET['page']);
		break;
	default:
		$pn = '广告位显示列表';
		/*显示所有广告位*/
		$page = abs(intval($_GET['page']));
		$page = empty($page) ? 1 : $page;
		$sql = "SELECT COUNT(*) AS count FROM ##__ads_place";
		$count = $db->fetch($sql, true);
		$count = $count['count'];
		$sql = "SELECT * FROM ##__ads_place";
		$result = page_for_db_extend($count, $sql,'?action=place&do=show', 10);
		$tpl->assign('result', $result);
		break;
}

$tpl -> assign("admin_nav",shownav($pn));
$tpl -> display('ads_place.tpl');

function _checkplace_name($db, $name){
	$sql = "SELECT place_id FROM ##__ads_place WHERE place_name ='$name'";
	$result = $db->fetch($sql, true);
	if(empty($result)){
		return false;
	}
	return true;
}
?>